summaryrefslogtreecommitdiffstats
path: root/ci/envs/host-setup0.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/envs/host-setup0.sh')
-rwxr-xr-xci/envs/host-setup0.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/ci/envs/host-setup0.sh b/ci/envs/host-setup0.sh
index 28c49b8b8..0778aae96 100755
--- a/ci/envs/host-setup0.sh
+++ b/ci/envs/host-setup0.sh
@@ -9,10 +9,16 @@
## http://www.apache.org/licenses/LICENSE-2.0
###############################################################################
+source utils.sh
source host-config
+KERNEL_VERSION=$( getKernelVersion )
+if [ -z $KERNEL_VERSION ];then
+ echo "Kernel RPM not found"
+ exit 1
+fi
rpmdir=${1:-"/root/workspace/rpm/"}
-rpmpat="kernel-4.4*.rpm"
+rpmpat="kernel-${KERNEL_VERSION}*.rpm"
config_grub () {
key=$1